LiveCode on Puppy Linux

Deploying to Linux? Get penguinated here.

Moderators: Klaus, FourthWorld, heatherlaine, kevinmiller, robinmiller

LiveCode on Puppy Linux

Postby andrewferguson » Sun Oct 26, 2014 7:50 pm

Hi,
I am trying to get LiveCode working on an old laptop which runs Puppy Linux. I have downloaded the LiveCode Installer but nothing happens when I click it. Does anyone know how how to make it work?
Thanks,
Andrew
andrewferguson
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 179
Joined: Wed Apr 10, 2013 5:09 pm

Re: LiveCode on Puppy Linux

Postby LCNeil » Sun Oct 26, 2014 8:00 pm

Hi Andrew,

Give the steps in this lesson a try -

http://lessons.runrev.com/m/2571/l/1480 ... e-on-linux

Kind Regards,

Neil Roger
--
LiveCode Support Team ~ http://www.runrev.com
--
LCNeil
Livecode Staff Member
Livecode Staff Member
 
Posts: 1223
Joined: Wed Oct 03, 2012 4:07 pm

Re: LiveCode on Puppy Linux

Postby andrewferguson » Sun Oct 26, 2014 10:43 pm

Hi Neil,
Thanks for your reply. I have tried changing the permissions to executable but the app still does nothing when run.
Any ideas?
Thanks,
Andrew
andrewferguson
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 179
Joined: Wed Apr 10, 2013 5:09 pm

Re: LiveCode on Puppy Linux

Postby FourthWorld » Mon Oct 27, 2014 12:34 am

Which version of LiveCode, and is your OS 32- or 64-but?
Richard Gaskin
Community volunteer LiveCode Community Liaison

LiveCode development, training, and consulting services: Fourth World Systems: http://FourthWorld.com
LiveCode User Group on Facebook : http://FaceBook.com/groups/LiveCodeUsers/
FourthWorld
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 5305
Joined: Sat Apr 08, 2006 7:05 am
Location: Los Angeles

Re: LiveCode on Puppy Linux

Postby andrewferguson » Mon Oct 27, 2014 9:22 am

I am trying to use LiveCode 7. The OS is 32 bit.
Computers Specs:
Pentium 3 Processor
256mb RAM
andrewferguson
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 179
Joined: Wed Apr 10, 2013 5:09 pm

Re: LiveCode on Puppy Linux

Postby SparkOut » Mon Oct 27, 2014 10:43 am

Possibly the issue is similar to this? viewtopic.php?f=20&t=21888#p112423
SparkOut
 
Posts: 1627
Joined: Sun Sep 23, 2007 4:58 pm

Re: LiveCode on Puppy Linux

Postby andrewferguson » Mon Oct 27, 2014 7:05 pm

Hi,
Thanks, but I don't think that is the issue because I cannot even launch the installer (the app does nothing when clicked).
Does anyone know what is wrong?
Thanks,
Andrew
andrewferguson
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 179
Joined: Wed Apr 10, 2013 5:09 pm

Re: LiveCode on Puppy Linux

Postby LCNeil » Mon Oct 27, 2014 9:19 pm

Hi Andrew,

I created a fresh vm install of a puppylinux distro and was able to install & use LiveCode without any issues. The version I downloaded was tahr-6.0-CE_PAE and I recorded a video of the LiveCode installation. This can be accessed here-

http://techsupport.on-rev.com/sostacks/ ... nstall.zip

Hopefully this will give you some leads.

Kind Regards,

Neil Roger
--
LiveCode Support Team ~ http://www.runrev.com
--
LCNeil
Livecode Staff Member
Livecode Staff Member
 
Posts: 1223
Joined: Wed Oct 03, 2012 4:07 pm

Re: LiveCode on Puppy Linux

Postby andrewferguson » Mon Oct 27, 2014 10:35 pm

Hi Neil,
I reinstalled a fresh copy of Puppy Linux and followed what you did in your video but again nothing happened when I clicked the installer once I had changed the permissions to application. Is my computer (Pentium 3, 256Mb RAM) just too old? Or is it the version of Puppy Linux that I am using (Lucid Puppy 5.2.5)?
Thanks,
Andrew
andrewferguson
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 179
Joined: Wed Apr 10, 2013 5:09 pm

Re: LiveCode on Puppy Linux

Postby wsamples » Tue Oct 28, 2014 3:09 am

Andrew, try launching the installer using the command line. This may return a message which will help you diagnose the problem.
wsamples
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 190
Joined: Mon May 18, 2009 4:12 am

Re: LiveCode on Puppy Linux

Postby andrewferguson » Tue Oct 28, 2014 9:34 pm

Hi,
I have just tried something that I probably should have tried at the beginning: Installing an older version of LiveCode. I tried LiveCode 6.7 and it installed and ran successfully. However I would really like to use LiveCode 7. Does anyone know why I can install LiveCode 6.7 but not LiveCode 7? Also, when I go to the Help menu, and click on 'About LiveCode' I get an about box for LiveCode 7, even though I am using LiveCode 6.7. Does anyone know why this is?
Thanks,
Andrew
andrewferguson
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 179
Joined: Wed Apr 10, 2013 5:09 pm

Re: LiveCode on Puppy Linux

Postby wsamples » Wed Oct 29, 2014 12:44 am

Try running the installer from the command line. In cases where the system is missing necessary libs, this often returns a useful message explaining what is missing. It might not in your case, but certainly it's worth trying.
wsamples
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 190
Joined: Mon May 18, 2009 4:12 am

Re: LiveCode on Puppy Linux

Postby andrewferguson » Wed Oct 29, 2014 9:20 am

Hi,
I have just tried to run the app from the command line. When run, nothing happened on the command line, just like when clicking on the app. Any ideas?
Andrew
andrewferguson
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 179
Joined: Wed Apr 10, 2013 5:09 pm

Re: LiveCode on Puppy Linux

Postby wsamples » Wed Oct 29, 2014 7:30 pm

Does running "ldd /path/to/installer" tell you anything? Your version of Puppy Linux is a little old, and that makes it seem possible there's an issue with outdated dependencies, but it would surprise me a little since 6.7 runs. There isn't much to go on in terms of finding a solution :(
wsamples
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 190
Joined: Mon May 18, 2009 4:12 am

Re: LiveCode on Puppy Linux

Postby MaxV » Thu Oct 30, 2014 4:43 pm

Puppy Linux is a very special distribution, made for very old and slow pc.
It doesn't contain a lot of libraries and program, so I don't think you can install Livecode on it without some modification.
There are several version of puppy linux, called pupplets, in this page: http://puppylinux.org/main/Puplet%20for ... atures.htm

Here is the minimum software required for Livecode.
To use LiveCode you will need (any OS):
  • 1024x768 or larger monitor
  • True color display (16-bit or 32-bit depth)
  • At least 256Mb of memory
  • At least 150Mb of disk space
Linux requirements:
  • 32-bit installation, or a 64-bit linux distribution that has a 32-bit compatibility layer
  • 2.4.x or later kernel
  • glibc 2.3.2 or later X11R5 capable Xserver running locally on a 24-bit display*
  • compositing window manager (optional - required for alpha-blended window shapes)
  • gtk/gdk/glib (optional - required for native theme support)
  • pango/xft (optional - required for pdf printing, anti-aliased text and unicode font support)
  • lcms (optional - required for color profile support in JPEGs and PNGs)
  • gksu (optional - required for elevate process support)
  • mplayer (optional - required for video playback)
  • esd (optional - required for audio playback)
Livecode Wiki: http://livecode.wikia.com
My blog: http://livecodeitalia.blogspot.it
To post code use this: http://tinyurl.com/ogp6d5w
MaxV
 
Posts: 1282
Joined: Tue May 28, 2013 2:20 pm
Location: Italy


Return to Linux

Who is online

Users browsing this forum: No registered users and 2 guests